Page MenuHomePhabricator

Update close mechanism to hover cards
Closed, DeclinedPublic

Description

I was editing https://www.mediawiki.org/w/index.php?action=edit&preload=Git%2FNew+repositories%2FRequest+preload&editintro=Git%2FNew+repositories%2FRequest+preload+intro&summary=&nosummary=true&prefix=&minor=&section=new&title=Git%2FNew+repositories%2FRequests%2FEntries&create=Request, and I find that the page preview popup above do not get closed and obstruct me from editing the page.

If we have a close button too in the popup, it would be easy to close it down when such a worst case happen.

See also: T92932: Hover card often gets stuck in "open" state

It should be possible to close the hovercard by:

  • Clicking outside of the dialog
  • Hitting the escape key

Event Timeline

01tonythomas raised the priority of this task from to Needs Triage.
01tonythomas updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2015, 11:48 AM
matmarex set Security to None.
matmarex removed a subscriber: matmarex.

@Vibhabamba, should I use an icon from the OOjs UI set and add it alongside the settings cog?

@Vibhabamba showed me some UI mock ups for this over Hangouts. She should be adding them here soon.

Jdlrobson triaged this task as Lowest priority.Sep 23 2015, 7:03 PM
Jdlrobson added a subscriber: Jdlrobson.

@Prtksxna any update on this?

@Prtksxna any update on this?

No mock ups were added. I don't remember what @Vibhabamba had shown me. Should we just added a close button near the settings icon, floated to the right?

Izno awarded a token.Mar 16 2016, 12:23 PM
TheDJ added a subscriber: TheDJ.Mar 16 2016, 12:41 PM

There are usually two other ways in which dialogs like this traditionally should always disappear.

  1. Click outside of the dialog
  2. Hit the escape key

Would be interesting to see if a blocked dialog as described reacts to any of these triggers.

Krinkle renamed this task from Add a close button to Page Preview popup so that it can be closed manually, when stuck to Add manual close mechanism to hover cards.Mar 17 2016, 12:02 AM
Jdlrobson renamed this task from Add manual close mechanism to hover cards to Update close mechanism to hover cards.Mar 22 2016, 9:39 PM
Jdlrobson updated the task description. (Show Details)
Krinkle removed a subscriber: Krinkle.Mar 22 2016, 10:46 PM
Prtksxna added a comment.EditedApr 5 2016, 9:13 AM
  • Hitting the escape key

Per resources/ext.popups.renderer/desktopRenderer.js this is already implemented. But according to the comments on this video showing it stuck hitting Esc doesn't help.

Would be interesting to see if a blocked dialog as described reacts to any of these triggers.

According to that video it doesn't.

Prtksxna removed a subscriber: Prtksxna.Jul 5 2016, 11:28 AM
Jdlrobson renamed this task from Update close mechanism to hover cards to Hovercards shouldn't run on editor (when action=edit).Sep 1 2016, 8:37 PM
Jdlrobson added a project: good first bug.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 1 2016, 8:37 PM
Jdlrobson renamed this task from Hovercards shouldn't run on editor (when action=edit) to Update close mechanism to hover cards.Sep 1 2016, 8:40 PM
Jdlrobson closed this task as Declined.Sep 1 2016, 8:43 PM

The hovercards shouldn't get stuck so going out of hover state should be enough. We are tracking that issue in T92932. However we don't think the hovercards should show in the editor as this is distracting and not adding much value - T144545.

We thus have no plans to allow escaping via close icon or escape.